## org.eclipse.datatools.sqltools.sqlbuilder.views.execute
Class InputValueCellEditor

    java.lang.Object
      org.eclipse.jface.viewers.CellEditor
          org.eclipse.jface.viewers.ComboBoxCellEditor
              org.eclipse.datatools.sqltools.sqlbuilder.views.execute.InputValueCellEditor

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.swt.events.SelectionListener, org.eclipse.swt.internal.SWTEventListener

    public class InputValueCellEditor

extends org.eclipse.jface.viewers.ComboBoxCellEditor
implements org.eclipse.swt.events.SelectionListener

Extends the ComboBoxCellEditor launch the input dialog if selected by user

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.viewers.CellEditor
`org.eclipse.jface.viewers.CellEditor.LayoutData`

Field Summary
`static int` `DROP_DOWN_ON_KEY_ACTIVATION`
`static int` `DROP_DOWN_ON_MOUSE_ACTIVATION`
`static int` `DROP_DOWN_ON_PROGRAMMATIC_ACTIVATION`
`static int` `DROP_DOWN_ON_TRAVERSE_ACTIVATION`

Fields inherited from class org.eclipse.jface.viewers.CellEditor
`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

Constructor Summary
`InputValueCellEditor(org.eclipse.swt.widgets.Composite parent, ParameterTableViewer viewer, java.lang.String[] items)` Creates an instance of InputValueCellEditor

Method Summary
`void` `activate(org.eclipse.jface.viewers.ColumnViewerEditorActivationEvent arg0)`
`void` `focusLost()`
`void` `setActivationStyle(int arg0)`
`void` `widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent evt)`
`void` `widgetSelected(org.eclipse.swt.events.SelectionEvent evt)`

Methods inherited from class org.eclipse.jface.viewers.ComboBoxCellEditor
`getItems, getLayoutData, setItems`

Methods inherited from class org.eclipse.jface.viewers.CellEditor

`activate, addListener, addPropertyChangeListener, create, deactivate, dispose, getControl, getErrorMessage, getStyle, getValidator, getValue, isActivated, isCopyEnabled, isCutEnabled, isDeleteEnabled, isDirty, isFindEnabled, isPasteEnabled, isRedoEnabled, isSelectAllEnabled, isUndoEnabled, isValueValid, performCopy, performCut, performDelete, performFind, performPaste, performRedo, performSelectAll, performUndo, removeListener, removePropertyChangeListener, setFocus, setStyle, setValidator, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DROP_DOWN_ON_MOUSE_ACTIVATION

    public static final int DROP_DOWN_ON_MOUSE_ACTIVATION

See Also:
  Constant Field Values

### DROP_DOWN_ON_KEY_ACTIVATION

    public static final int DROP_DOWN_ON_KEY_ACTIVATION

See Also:
  Constant Field Values

### DROP_DOWN_ON_PROGRAMMATIC_ACTIVATION

    public static final int DROP_DOWN_ON_PROGRAMMATIC_ACTIVATION

See Also:
  Constant Field Values

### DROP_DOWN_ON_TRAVERSE_ACTIVATION

    public static final int DROP_DOWN_ON_TRAVERSE_ACTIVATION

See Also:
  Constant Field Values

Constructor Detail

### InputValueCellEditor

    public InputValueCellEditor(org.eclipse.swt.widgets.Composite parent,
                                ParameterTableViewer viewer,
                                java.lang.String[] items)

  Creates an instance of InputValueCellEditor

  Parameters:
    `parent` - the parent Composite
    `viewer` - the parent viewer
    `items` - the list of combo items

Method Detail

### focusLost

    public void focusLost()

  Overrides:
    `focusLost` in class `org.eclipse.jface.viewers.ComboBoxCellEditor`

### widgetDefaultSelected

    public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent evt)

  Specified by:
    `widgetDefaultSelected` in interface `org.eclipse.swt.events.SelectionListener`

### widgetSelected

    public void widgetSelected(org.eclipse.swt.events.SelectionEvent evt)

  Specified by:
    `widgetSelected` in interface `org.eclipse.swt.events.SelectionListener`

### activate

    public void activate(org.eclipse.jface.viewers.ColumnViewerEditorActivationEvent arg0)

  Overrides:
    `activate` in class `org.eclipse.jface.viewers.CellEditor`

### setActivationStyle

    public void setActivationStyle(int arg0)